<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">Game</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">He_Arc::RPG::Game Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a5c8d4e121c2e3f221211874510f8b3bd">CreateTeamComposition</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a7d8fcb94b0e125745221bbd497ae7d20">DisplayFight</a>() const</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#acff32587086411e092dd1941200e07f4">EnterFightingRoom</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a497fbf3e1aa8cde7c5ad1c1556535230">Game</a>(int nbAlly=4)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Game</b>(const Game &amp;game) (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#afda0db7e4efeba899d71a140c4bbfde5">GetGameLevel</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a3b52b19924c77f007b334c21e0802af2">HealPlayer</a>(int amount)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a4cdbe2413a1a375c938c6c89e6304ce5">IncreaseGameLevel</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a569c01c42d8f0eec432d724f017b882d">IsDeadTeam</a>(vector&lt; shared_ptr&lt; CharacterClass &gt;&gt; team)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a36522842eab3b4291b577a98a16f7672">operator=</a>(const Game &amp;game)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#afd2cde00f0f0f39832b4f7932792bad9">PerformGameTurn</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a187d52b0b5b5da08096f9d335df29207">PerformStartRoom</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#aeb8e95a303cd2c377d0a638f8da055d6">ThereIsDeadTeam</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Game</b>()=default (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html">He_Arc::RPG::Game</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
